curl --request GET \
--url https://api-sandbox.argyle.com/v2/open-banking/bank-accounts/{bank_account_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/v2/open-banking/bank-accounts/{bank_account_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/v2/open-banking/bank-accounts/{bank_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8057637863",
"user": "01975b3b-5ba6-3ec1-2148-f595b6d92614",
"account_number_display": "2203",
"name": "Savings",
"type": "savings",
"aggregation_status_code": 0,
"status": "active",
"institution": "102168",
"aggregation_success_date": "2026-06-04T16:57:26.000Z",
"aggregation_attempt_date": "2026-06-04T16:57:26.000Z",
"created_date": "2026-06-04T16:57:17.000Z",
"currency": "USD",
"institution_login": 8029158291,
"display_position": 1,
"parent_bank_account": null,
"linked_account_date": "2026-06-04T16:57:22.000Z",
"error_code": null,
"error_message": null,
"real_account_number_last4": "2203",
"balance": 22327.3,
"balance_date": "2026-06-04T16:57:26.000Z",
"last_updated_date": "2026-06-04T16:57:22.000Z",
"market_segment": "personal",
"line_of_business": "business",
"line_of_business_source": "Financial_Institution",
"line_of_business_confidence_score": 1,
"last_transaction_date": "2026-06-04T16:57:23.000Z",
"oldest_transaction_date": "2024-06-08T12:00:00.000Z"
}Retrieve a bank account
Retrieves a bank account.
Authorizations
Username = api_key_id, Password = api_key_secret
Path Parameters
ID of the bank account.
Query Parameters
ID of the user.
Response
ID of the bank account.
ID of the user associated with the bank account.
Display account identifier.
Account name.
Bank account type.
checking, savings, cd, moneyMarket, creditCard, lineOfCredit, investment, investmentTaxDeferred, employeeStockPurchasePlan, ira, 401k, roth, 403b, 529plan, rollover, ugma, utma, keogh, 457plan, 401a, brokerageAccount, educationSavings, healthSavingsAccount, pension, profitSharingPlan, roth401k, sepIRA, simpleIRA, thriftSavingsPlan, variableAnnuity, cryptocurrency, mortgage, loan, studentLoan, studentLoanGroup, studentLoanAccount Status code of the most recent aggregation attempt.
Bank account status.
pending, active ID of the financial institution.
Currency code.
ID of the institution login.
Display position of the account at the financial institution.
ID of the parent bank account.
Bank connection error code.
Bank connection error message.
Last four digits of the account number.
Account balance amount. Returned as a number with up to two decimal places.
Indicates whether the account is personal or business.
personal, business Indicates how the account is registered with the financial institution. Does not indicate how the account is used.
personal, business, unknown Source of the line_of_business value.
Financial_Institutionindicates the value was provided by the financial institution.Mastercardindicates the value was inferred using analytical models.
Financial_Institution, Mastercard Confidence score for line_of_business, from 0 to 1.
A score of 1 is expected when the value is provided by the financial institution. Scores from 0.90 to 0.99 indicate high confidence, 0.60 to 0.89 indicate medium confidence, and 0.00 to 0.59 indicate low confidence.
0 <= x <= 1